M1XRFTWM firmware update issue

M1 Support Forum M1XRFTWM firmware update issue

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #6572
    Ross

    Hoping someone may have some ideas that might help get my system fully functional again.  Sorry for such a long post but I wanted to include as much info as I could to save you all the trouble of having to ask for anything I could have knowingly left out.

    I have recently had some intermittent issues with some wireless motion sensors not firing rules.  I had checked and rechecked as many things as I could before I decided to check to see if there were any firmware updates available.  Sure enough, once I fired up ElkRP I got prompted that there were some updates available.  I reviewed the release notes and didn’t see any mention of any other version dependencies for any of the other components so I went ahead and started the update on the M1XRFTWM.  It sat there for a little less than a minute stuck on 0% and then threw an error saying “Error initializing device”.  As soon as I hit the Ok button I noticed the device list refresh and the expander firmware version changed to “Erased”.

    I’ve powered the entire system down and back up and attempted additional updates but all result in the same error message I provided above.  I’m connecting via the M1XEP but have not yet tried a direct serial connection from my laptop, mainly because I don’t have the app and database set up on the laptop.  I was hoping I might be able to downgrade the version back to the previous but the dropdown only showed the most recently downloaded version.  I still have the earlier version bin file in the updates folder but it’s not available to select from the app.

    Thinking there may be a dependency between the controller firmware version and the expander I started to do an update of the controller firmware but got a message saying that the firmware is a newer version that RP does not recognize so I backed out of the update before it started.  I checked to see if there was a newer version of RP available but the version listed on the downloads page shows the version I already have installed.

    I’ll outline the version info below but what I’m looking for is some advice on how to move forward.  Anyone think there are any options where the firmware can be reflashed in place or will this need to be sent in?

    RP main program version 2.0.40

    M1XRFTWM previous firmware version was 1.2.56.  New version that failed was 1.2.64.

    Controller boot/firmware versions are 3.3.6/5.3.10.  New controller firmware not yet installed is 5.3.14.

    M1XEP boot/firmware is 2.0.4/2.0.48

    #6574
    Brad Weeks

    Check to see if you have the M1XRFTW or the M1XRFTW”M” version of ELK Two-way Wireless Receiver. Firmware 1.2.64 will only work for the M1XRFTW”M”  version. If you have  the M1XRFTW”M” is it connected to the M1DBHR Hub Retro Fit? If so remove from the branch on the M1DBHR and temporarily connect directly to the M1 Main board and try the update again.

    #6577
    Ross

    Bingo!!!  The receiver is the M version and you nailed it with the suggestion to bypass the hub.  I can’t believe I didn’t try that before but sure enough it was exactly what was needed.

    Thanks Brad, I’m back in business now. Much appreciated

Viewing 3 posts - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.
Scroll to Top